plotHmmStates {aCGH} | R Documentation

## Plotting the estimated hmm states and log2 ratios for each sample.

### Description

This function displays the estimated hmm states and log2 ratios for each sample.

### Usage

    plotHmmStates(aCGH.obj, sample.ind, chr = 1:num.chromosomes(aCGH.obj),
                 statesres = hmm.merged(aCGH.obj), maxChrom = 23,
                 chrominfo = human.chrom.info.Jul03, yScale = c(-2, 2),
                 samplenames = sample.names(aCGH.obj))

### Arguments

`aCGH.obj` | object of class aCGH
`sample.ind` | index of the sample to be plotted relative to the data matrix (i.e. column index in the file)
`statesres` | matrix containing states informations. defaults to the states selected using the first model selection criterionof `aCGH.obj`
`chr` | vector of chromosomes to be plotted
`yScale` | specified scale for Y-exis
`maxChrom` | highest chromosome to show
`chrominfo` | a chromosomal information associated with the mapping of the data
`samplenames` | vector of sample names

### Details

Each chromosome is plotted on a separate page and contains two figures. The top figure shows the observed log2ratios and the bottom figure shows predicted values for all clones but outliers which show observed values. The genomic events are indicated on both figures as following. The first clone after transition is indicated with solid blue line and the last clone after transitions is shown with dotted green line. Focal aberrations clones are colored orange, amplifications are colored red and outliers are yellow.

### Author(s)

Jane Fridlyand

### References

Application of Hidden Markov Models to the analysis of the array CGH data, Fridlyand et.al., JMVA, 2004

### See Also

`aCGH` `find.hmm.states` `plotGenome`

### Examples

    data(colorectal)
    plotHmmStates(colorectal, 1)

[Package aCGH version 1.8.0 Index]